(* элементарный пример                   *)

uses linux;

var
  fd:integer;
  nread:longint;
  buf:array [0..1024-1] of char;
begin
  (* Открыть файл 'data' для чтения *)
  fd := fdopen ('data', Open_RDONLY);
  (* Прочитать данные *)
  nread := fdread (fd, buf, 1024);
  (* Закрыть файл *)
  fdclose (fd);
end.